QUESTION:


When tried saving product on our site backend (M2.4.2), it throws the error as  “Invalid option dependent ids

In fact, there are no dependent options there in the product. And this error only happens after upgrading the module from version 1.0.4 to version 10.9.


Please advice!


ANSWER:


To fix this error, we created a module to migrate the data for your site, the module named:  Bss_DcoMigrate (attached below)


Please install this module and run the command: bin/magento dco:migration --limit=1


Important note:  please backup table bss_depend_co before migrating to avoid any risk.


If you need further assistance, please do not hesitate to contact us. We'd be happy to support!